extends Node

var level = null
var checkpoint = -1
var saved_time = 0.0
var show_timer = true
var checkpoints = true
var _input_map = {move_left = "A", move_right = "D", jump = "Space"}

func save_time():
	saved_time = level.time
	
func convert_time_to_friendly_str(time):
	var t = float(time)
	var mils = fmod(t, 1) * 1000
	var secs = fmod(t, 60)
	var mins = fmod(t, 60 * 60) / 60
	var time_passed = "%02d:%02d:%03d" % [mins, secs, mils]
	return time_passed
